%global pkg_name html

%global common_summary Haskell HTML combinator library

%global common_description A HTML combinator library for Haskell.

Name:           ghc-%{pkg_name}
# part of haskell-platform-2011.2.0.1
Version:        1.0.1.2
Release:        11%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# ghc_excluded_archs is defined in redhat-rpm-config
ExcludeArch:    %{ghc_excluded_archs}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_lib_package


%changelog
* Mon Jun 20 2011 Jens Petersen <petersen@redhat.com> - 1.0.1.2-11
- BR ghc-Cabal-devel
- use ghc_excluded_archs

* Fri May 27 2011 Jens Petersen <petersen@redhat.com> - 1.0.1.2-10
- update to cabal2spec-0.23: add ppc64

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 1.0.1.2-9
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 18 2011 Jens Petersen <petersen@redhat.com> - 1.0.1.2-7
- update to cabal2spec-0.22.4

* Thu Nov 25 2010 Jens Petersen <petersen@redhat.com> - 1.0.1.2-6
- update url

* Sat Sep  4 2010 Jens Petersen <petersen@redhat.com> - 1.0.1.2-5
- add hscolour and doc obsolete (cabal2spec-0.22.2)

* Sun Jun 27 2010 Jens Petersen <petersen@redhat.com> - 1.0.1.2-4
- sync cabal2spec-0.22.1

* Tue Apr 27 2010 Jens Petersen <petersen@redhat.com> - 1.0.1.2-3
- part of haskell-platform-2010.1.0.0
- rebuild against ghc-6.12.2
- condition ghc_lib_package

* Fri Jan 15 2010 Jens Petersen <petersen@redhat.com> - 1.0.1.2-2
- BSD license
- part of haskell-platform

* Fri Jan 15 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 1.0.1.2-1
- initial packaging for Fedora automatically generated by cabal2spec-0.21.1
